package com.fs.statis.cache;

import com.fs.statis.dto.*;

import java.util.List;

public interface IStatisticsCacheService {
    /**
     * 分析概览 - 经销商统计
     */
    DealerAggregatedDTO dealerAggregated();

    /**
     * 消费余额
     */
    ConsumptionBalanceDataDTO rechargeConsumption();

    /**
     * 分析概览
     */
    AnalysisPreviewDTO analysisPreview(AnalysisPreviewQueryDTO param);


    /**
     * 会员观看、完播人数趋势图
     * @param param 请求参数
     * @return 会员观看、完播人数趋势图
     */
    List<WatchEndPlayTrendDTO> watchEndPlayTrend(AnalysisPreviewQueryDTO param);

    /**
     * 经销商会员观看TOP10
     * @param param 请求参数
     * @return TOP10
     * @return
     */
    List<DeaMemberTopTenDTO> deaMemberTopTen(AnalysisPreviewQueryDTO param);
}
